Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface OperationalStatusDataAvailableEvent

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, Event, IRPEvent, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  OperationalStatusDataAvailableEventImpl

public interface OperationalStatusDataAvailableEvent
extends IRPEvent

This interface represents the payload of the event that is sent when a measurement report file has been created.

Version:
  0.9.1, 2001-11-30
Author:
  Stefan Aberg
See Also:
  `OperationalStatusDataAvailableEventDescriptor`

Field Summary
`static java.lang.String` | `REPORT_INFO` Constant representing the report information attribute.

Fields inherited from interface com.sun.management.oss.util.IRPEvent
`APPLICATION_DN, EVENT_TIME, MANAGED_OBJECT_CLASS, MANAGED_OBJECT_INSTANCE, NOTIFICATION_ID`

Method Summary
`ReportInfo` | `getReportInformation()` Gets information about the report.
`ReportInfo` | `makeReportInformation()` Creates a new instance of the ReportInfo interface.
`void` | `setReportInformation(ReportInfo info)` Sets information about the report.

Methods inherited from interface com.sun.management.oss.util.IRPEvent
`getManagedObjectClass, getManagedObjectInstance, getNotificationId, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from interface com.sun.management.oss.Event
`clone, getApplicationDN, getEventTime, setApplicationDN, setEventTime`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Field Detail

### REPORT_INFO

    public static final java.lang.String REPORT_INFO

  Constant representing the report information attribute.

  See Also:
    Constant Field Values

Method Detail

### getReportInformation

    public ReportInfo getReportInformation()
                                    throws java.lang.IllegalStateException

  Gets information about the report.

  The report information contains all information that is needed to retrieve measurement report data.

  Returns:
    ReportInfo Measurement report information.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `setReportInformation(com.sun.management.oss.pm.opstatus.ReportInfo)`

### setReportInformation

    public void setReportInformation(ReportInfo info)
                              throws java.lang.IllegalArgumentException

  Sets information about the report.

  The report information shall contains all information that is needed to retrieve measurement report data.

  Parameters:
    `info` - a ReportInfo object specifying the report information value
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getReportInformation()`

### makeReportInformation

    public ReportInfo makeReportInformation()

  Creates a new instance of the ReportInfo interface.

  Returns:
    ReportInfo The created object. The object is empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD